Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class PricingCRM
    Inherits BaseObject
    Private _Pricing As Pricing
    Private _CRM_Opportunities As CRM_Opportunities
    Private _ProductsGroups As ProductsGroups ' -- Termék csoport
    Private _DiscountPercent As Double ' -- Kedvezmény százalék
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub
    <Association("Pricing-PricingCRM", GetType(Pricing))> _
    Property Pricing As Pricing
        Get
            Return _Pricing
        End Get
        Set(ByVal value As Pricing)
            SetPropertyValue("Pricing", _Pricing, value)
        End Set
    End Property
    <RuleRequiredField("PricingCRM-CRM_Opportunities", DefaultContexts.Save)> _
    Property CRM_Opportunities As CRM_Opportunities
        Get
            Return _CRM_Opportunities
        End Get
        Set(value As CRM_Opportunities)
            SetPropertyValue("CRM_Opportunities", _CRM_Opportunities, value)
        End Set
    End Property
    Property ProductsGroups As ProductsGroups
        Get
            Return _ProductsGroups
        End Get
        Set(ByVal value As ProductsGroups)
            SetPropertyValue("ProductsGroups", _ProductsGroups, value)
        End Set
    End Property
    <RuleRange("PricingCRM-DiscountPercent", DefaultContexts.Save, 0.00000001, 100)> _
    Property DiscountPercent As Double
        Get
            Return _DiscountPercent
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("DiscountPercent", _DiscountPercent, value)
        End Set
    End Property

End Class
